import{s as N,n as Q,o as Y}from"../chunks/scheduler.9bc65507.js";import{S as Z,i as ee,g as o,s,r as j,A as te,h as l,f as a,c as i,j as B,u as U,x as w,k as D,y as ae,a as n,v as F,d as G,t as I,w as J}from"../chunks/index.707bf1b6.js";import{H as K,g as ne}from"../chunks/Heading.98cce615.js";function se(V){let r,_,L,x,c,C,p,b,m,k=`The XLSR-Wav2Vec2 model was proposed in <a href="https://arxiv.org/abs/2006.13979" rel="nofollow">Unsupervised Cross-Lingual Representation Learning For Speech Recognition</a> by Alexis Conneau, Alexei Baevski, Ronan Collobert, Abdelrahman Mohamed, Michael
Auli.`,$,h,X="The abstract from the paper is the following:",y,u,A=`<em>This paper presents XLSR which learns cross-lingual speech representations by pretraining a single model from the raw
waveform of speech in multiple languages. We build on wav2vec 2.0 which is trained by solving a contrastive task over
masked latent speech representations and jointly learns a quantization of the latents shared across languages. The
resulting model is fine-tuned on labeled data and experiments show that cross-lingual pretraining significantly
outperforms monolingual pretraining. On the CommonVoice benchmark, XLSR shows a relative phoneme error rate reduction
of 72% compared to the best known results. On BABEL, our approach improves word error rate by 16% relative compared to
a comparable system. Our approach enables a single multilingual speech recognition model which is competitive to strong
individual models. Analysis shows that the latent discrete speech representations are shared across languages with
increased sharing for related languages. We hope to catalyze research in low-resource speech understanding by releasing
XLSR-53, a large model pretrained in 53 languages.</em>`,M,v,z="Tips:",R,d,E=`<li>XLSR-Wav2Vec2 is a speech model that accepts a float array corresponding to the raw waveform of the speech signal.</li> <li>XLSR-Wav2Vec2 model was trained using connectionist temporal classification (CTC) so the model output has to be
decoded using <a href="/docs/transformers/v4.35.1/en/model_doc/wav2vec2#transformers.Wav2Vec2CTCTokenizer">Wav2Vec2CTCTokenizer</a>.</li>`,S,f,O='XLSR-Wav2Vec2’s architecture is based on the Wav2Vec2 model, so one can refer to <a href="wav2vec2">Wav2Vec2’s documentation page</a>.',H,g,q='The original code can be found <a href="https://github.com/pytorch/fairseq/tree/master/fairseq/models/wav2vec" rel="nofollow">here</a>.',P,T,W;return c=new K({props:{title:"XLSR-Wav2Vec2",local:"xlsr-wav2vec2",headingTag:"h1"}}),p=new K({props:{title:"Overview",local:"overview",headingTag:"h2"}}),{c(){r=o("meta"),_=s(),L=o("p"),x=s(),j(c.$$.fragment),C=s(),j(p.$$.fragment),b=s(),m=o("p"),m.innerHTML=k,$=s(),h=o("p"),h.textContent=X,y=s(),u=o("p"),u.innerHTML=A,M=s(),v=o("p"),v.textContent=z,R=s(),d=o("ul"),d.innerHTML=E,S=s(),f=o("p"),f.innerHTML=O,H=s(),g=o("p"),g.innerHTML=q,P=s(),T=o("p"),this.h()},l(e){const t=te("svelte-u9bgzb",document.head);r=l(t,"META",{name:!0,content:!0}),t.forEach(a),_=i(e),L=l(e,"P",{}),B(L).forEach(a),x=i(e),U(c.$$.fragment,e),C=i(e),U(p.$$.fragment,e),b=i(e),m=l(e,"P",{"data-svelte-h":!0}),w(m)!=="svelte-nw8zv9"&&(m.innerHTML=k),$=i(e),h=l(e,"P",{"data-svelte-h":!0}),w(h)!=="svelte-vfdo9a"&&(h.textContent=X),y=i(e),u=l(e,"P",{"data-svelte-h":!0}),w(u)!=="svelte-8kgyjh"&&(u.innerHTML=A),M=i(e),v=l(e,"P",{"data-svelte-h":!0}),w(v)!=="svelte-axv494"&&(v.textContent=z),R=i(e),d=l(e,"UL",{"data-svelte-h":!0}),w(d)!=="svelte-1c64apw"&&(d.innerHTML=E),S=i(e),f=l(e,"P",{"data-svelte-h":!0}),w(f)!=="svelte-1fm5txi"&&(f.innerHTML=O),H=i(e),g=l(e,"P",{"data-svelte-h":!0}),w(g)!=="svelte-12gzw10"&&(g.innerHTML=q),P=i(e),T=l(e,"P",{}),B(T).forEach(a),this.h()},h(){D(r,"name","hf:doc:metadata"),D(r,"content",ie)},m(e,t){ae(document.head,r),n(e,_,t),n(e,L,t),n(e,x,t),F(c,e,t),n(e,C,t),F(p,e,t),n(e,b,t),n(e,m,t),n(e,$,t),n(e,h,t),n(e,y,t),n(e,u,t),n(e,M,t),n(e,v,t),n(e,R,t),n(e,d,t),n(e,S,t),n(e,f,t),n(e,H,t),n(e,g,t),n(e,P,t),n(e,T,t),W=!0},p:Q,i(e){W||(G(c.$$.fragment,e),G(p.$$.fragment,e),W=!0)},o(e){I(c.$$.fragment,e),I(p.$$.fragment,e),W=!1},d(e){e&&(a(_),a(L),a(x),a(C),a(b),a(m),a($),a(h),a(y),a(u),a(M),a(v),a(R),a(d),a(S),a(f),a(H),a(g),a(P),a(T)),a(r),J(c,e),J(p,e)}}}const ie='{"title":"XLSR-Wav2Vec2","local":"xlsr-wav2vec2","sections":[{"title":"Overview","local":"overview","sections":[],"depth":2}],"depth":1}';function oe(V){return Y(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=ne}),[]}class pe extends Z{constructor(r){super(),ee(this,r,oe,se,N,{})}}export{pe as component};
